de.dhbwstuttgart.syntaxtree.modifier

## Class Modifiers

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.modifier.Modifiers

    public class Modifiers
    extends java.lang.Object

Die Klasse beinhaltet die Liste der Access-Modifier fuer eine Klasse, Methode usw.

### Field Summary

Fields
`protected Menge<Modifier>` `modifier`

### Constructor Summary

Constructors
Constructor and Description
`Modifiers()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addModifier(Modifier mod)` Fuegt den angegebenen Modifier zur Auflistung hinzu.
`short` `calculate_access_flags()` Gibt den Bitmaskenwert fuer die enthaltenen Access-Modifier zurueck.
`void` `ensureAbstract()` Stellt sicher, dass ABSTRACT in der Modifierliste vorkommt.
`void` `ensurePublic()`
`Menge<Modifier>` `getModifiers()`
`boolean` `includesModifier(Modifier mod)` Gibt zurueck, ob der angegebene Modifier enthalten ist.
`JavaCodeResult` `printJavaCode(ResultSet resultSet)`
`void` `setModifier(Menge<Modifier> modifier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### modifier

    protected Menge<Modifier> modifier

### Constructor Detail

#### Modifiers

    public Modifiers()

### Method Detail

#### getModifiers

    public Menge<Modifier> getModifiers()

#### setModifier

    public void setModifier(Menge<Modifier> modifier)

#### addModifier

    public void addModifier(Modifier mod)

Fuegt den angegebenen Modifier zur Auflistung hinzu.

#### includesModifier

    public boolean includesModifier(Modifier mod)

Gibt zurueck, ob der angegebene Modifier enthalten ist.

#### ensureAbstract

    public void ensureAbstract()

Stellt sicher, dass ABSTRACT in der Modifierliste vorkommt. Wird u.a. bei Interfaces benoetigt.

#### ensurePublic

    public void ensurePublic()

#### calculate_access_flags

    public short calculate_access_flags()

Gibt den Bitmaskenwert fuer die enthaltenen Access-Modifier zurueck.

#### printJavaCode

    public JavaCodeResult printJavaCode(ResultSet resultSet)